Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           doh
Version:        0.1
Release:        alt2_12
Summary:        Application for DNS-over-HTTPS name resolves and lookups
License:        MIT
URL:            https://github.com/curl/doh
Source0:        https://github.com/curl/doh/archive/doh-%{version}.tar.gz
# https://github.com/curl/doh/commit/40df5306935f642f8866fa795a9e654309e73cdd
Patch0:         makefile-add-install-stage.patch
# https://github.com/curl/doh/pull/20
Patch1:         preserve-existing-cflags.patch

BuildRequires:  gcc
BuildRequires:  libcurl-devel
Source44: import.info


%description
A libcurl-using application that resolves a host name using DNS-over-HTTPS
(DoH).  This code uses POST requests unconditionally for this.


%prep
%setup -q -n doh-doh-%{version}
%patch0 -p1
%patch1 -p1



%build

%make_build


%install
%makeinstall_std
install -D -p -m 0644 doh.1 %{buildroot}%{_mandir}/man1/doh.1


%files
%doc --no-dereference LICENSE
%doc README.md
%{_bindir}/doh
%{_mandir}/man1/doh.1*


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0.1-alt2_12
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.1-alt2_10
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.1-alt2_9
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.1-alt2_8
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.1-alt2_7
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.1-alt2_6
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.1-alt2_5
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.1-alt2_4
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_4
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_3
- update to new release by fcimport

* Mon Sep 30 2019 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_2
- new version

